:root{
    --base:#F19A15;
    --font:#000;
    --beige:#f9f3d6;
    --gray:#f5f4f2;
    --zen:"Zen Maru Gothic";
}

#navToggle {
	position: fixed;
	right: 80px;
	top: 84px;
	width: 70px;
	height: 70px;
	cursor: pointer;
    border-radius: 50%;
    background: var(--base);
    overflow: hidden;
    transition: .4s;
    opacity: 0;
    z-index: -5;
}
#navToggle.fixed{
    overflow: visible;
    opacity: 1;
    z-index: 9999;
}
#navToggle div {position:relative}
#navToggle::after{
    content:"MENU";
    font-size: 20px;
    display: block;
    color: var(--base);
    text-align: center;
    position: absolute;
    bottom: -33px;
    width: 100%;
}
#navToggle span {
    display: block;
    position: absolute;/*to div*/
    width:35px;
    height: 5px;
    background: #fff;
    border-radius: 10px;
    -webkit-transition: .35s ease-in-out;
    -moz-transition: .35s ease-in-out;
    transition: .35s ease-in-out;
	margin: 0 auto;
	left: 0;
	right: 0;
}
#navToggle span:nth-child(1) {top:24px}
#navToggle span:nth-child(2) {
    top:40px;
}

/*Media-queries_____________________________________*/

	nav{
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        text-align: center;
        position: fixed;
        top: 0px;
        right: -550px;
        overflow: hidden;
        z-index: 999;
        transition: 0.7s;
        height: 100vh;
        background: var(--base);
        padding-top: 245px;
        padding: 245px 40px 40px;
        max-width: 450px;
        width: 100%;
	}
    nav img{
        display: block;
        max-width: 276px;
        width: 100%;
        margin-bottom: 15px;
    }
    nav a{
        font-weight: 500;
        color: #fff!important;
        font-size: 36px;
        min-height: 148px;
        text-indent: 1em;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: flex-start;
        border-top: 2px solid #fff;
        font-family: var(--zen);
        font-weight: bold;
    }
    nav a:last-of-type{
        border-bottom: 2px solid #fff;
    }
    nav span{
        display: block;
        font-size: 24px;
        width: 100%;
        text-align: left;
        margin-top: -50px;
    }
	.openNav #navToggle span{
		border-color:#fff;
	}

    #navToggle + .overlay{
        width: 100%;
        height: 100%;
        display: block;
        background: #000;
        opacity: 0.5;
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        transition: .3s;
        overflow: hidden;
        z-index: -1;
    }
    .openNav #navToggle + .overlay{
        opacity: 0.5;
        z-index: 100;
    }

/* Click Toggle(Button) */
.openNav #navToggle{
    background: #fff;
}
.openNav #navToggle::after{
    content: "CLOSE";
    color: #fff;
}
.openNav #navToggle span{
    background: var(--base);
}
.openNav #navToggle span:nth-child(1) {
    top: 33px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    transform:rotate(-45deg)}
.openNav #navToggle span:nth-child(2){
    top: 33px;
	bottom:auto;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    transform:rotate(45deg)}
.openNav nav{
    right: 0;
}
@media( width < 1160px){
    #navToggle{
        right: 15px;
        top: 30px;
    }
    nav{
        padding-top: 140px;
    }
}
@media screen and (max-width: 960px) {
    #navToggle{
        width: 50px;
        height: 50px;
    }
    #navToggle span{
        width: 25px;
        height: 5px;
    }
    #navToggle::after{
        font-size: 14px;
        bottom: -23px;
    }
    #navToggle span:nth-child(1){
        top: 18px;
    }
    #navToggle span:nth-child(2){
        top: 28px;
    }
    .openNav #navToggle span:nth-child(1),
    .openNav #navToggle span:nth-child(2){
        top: 23px;
    }
    nav{
        padding-top: 138px;
        width: auto;
        padding-left: 15px;
        padding-right: 15px;
    }
    nav a{
        min-height: 148px;
        font-size: 36px;
        text-indent: 35px;
        font-size: clamp(1.875rem, 1.446rem + 2.143vw, 2.25rem);
    }
    nav span{
        font-size: 18px;
        margin-top: -60px;
    }
}